# Update an existing contract

Use this endpoint to send addendum to the partner to add more countries where properties can be listed, only if partner has already a signed contract with Booking.com.

Endpoint: POST /partners/addendum
Version: 1.0.0

## Header parameters:

  - `Authorization` (string)

## Request fields (application/json):

  - `additional_countries` (array, required)
    List of country codes where partner has properties for which addendum should be signed.

  - `is_test` (string)
    Flag to filter in/out test partner cards. Setting it to 1 will look for test partners only, 0 will look for non-test partners only.
    Enum: "0", "1"

  - `le_id` (integer)
    Legal entity ID of the partner. This is treated as the unique identifier for the partner.

  - `legal_contact_email` (string)
    Contract contact email ID of the partner. This is treated as the unique identifier for the partner.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.status` (string, required)
    Status message indicating whether the addendum email was sent successfully.
    Example: "Addendum invitation sent to Partner."

  - `data.success` (integer, required)
    A flag that indicates if the operation finished successfully.
    Example: 1

  - `errors` (array)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.


